POST Search Equipment Statuses with Paging
Introduction
Searches and retrieves equipment status records with pagination support and multiple filter criteria. Allows filtering by equipment number, type, carrier, customer, yard location, cargo status, equipment condition, and in-yard status. Supports custom sorting by various fields. This endpoint is ideal for equipment management dashboards, inventory screens, and operational monitoring interfaces where large datasets need to be displayed efficiently with user-friendly pagination controls.
API Request
POST /equipment-status/search-by-paging
Body Request Parameters
{
"currentPage": 0,
"pageSize": 0,
"sortingFields": [
{
"field": "string",
"orderBy": "NONE"
}
],
"equipmentId": "string",
"equipmentNo": "string",
"equipmentNos": [
"string"
],
"equipmentIds": [
"string"
],
"equipmentType": "VEHICLE",
"excludeEquipmentType": "VEHICLE",
"excludeEquipmentTypes": [
"VEHICLE"
],
"containEquipmentTypes": [
"string"
],
"carrierId": "string",
"carrierIds": [
"string"
],
"customerId": "string",
"customerIds": [
"string"
],
"checkInEntry": "string",
"inYard": true,
"yardId": "string",
"locationId": "string",
"locationIdNotNull": true,
"lastEntryId": "string",
"sealNumber": "string",
"keyword": "string",
"locationIds": [
"string"
],
"lastEntryIds": [
"string"
],
"cargoStatus": "UNKNOWN",
"cargoStatuses": [
"UNKNOWN"
],
"excludeEquipmentIds": [
"string"
],
"fillEquipmentActivity": false,
"referenceNos": [
"string"
],
"referenceNo": "string",
"equipmentOperationStatuses": [
"DROP_OFF_FULL"
],
"companyCode": "string",
"companyCodes": [
"string"
],
"excludeLastEntryIds": [
"string"
],
"taskNotInProgress": true
}Request Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
| X-Tenant-ID | header | string | No | none |
| X-Yard-ID | header | string | No | none |
| Item-Time-Zone | header | string | No | none |
| Authorization | header | string | No | none |
| body | body | EquipmentStatusQuery | No | none |
Response Example
200 Response
{
"code": 0,
"msg": "",
"success": false,
"data": {
"list": [
{
"id": 0,
"equipmentId": "",
"equipmentNo": "",
"equipmentType": "",
"carrierId": "",
"customerId": "",
"inYard": false,
"yardId": "",
"locationId": "",
"previousLocationId": "",
"locationType": "",
"lastCheckInTime": "",
"lastCheckOutTime": "",
"lastEntryId": "",
"createdTime": "",
"createdBy": "",
"updatedTime": "",
"updatedBy": "",
"checkInEntry": "",
"cargoStatus": "",
"sealNumber": "",
"sealNumberPhoto": "",
"equipmentCondition": "",
"description": "",
"equipmentPhotos": [
""
],
"customerName": "",
"carrierName": "",
"locationName": "",
"equipmentDetailView": {
"id": 0,
"equipmentId": "",
"equipmentType": "",
"vehicleType": "",
"equipmentNo": "",
"equipmentNoPhoto": "",
"reefer": false,
"createdTime": "",
"createdBy": "",
"updatedTime": "",
"updatedBy": "",
"trailerSize": "",
"equipmentStatusView": {
"id": 0,
"equipmentId": "",
"equipmentNo": "",
"equipmentType": "",
"carrierId": "",
"customerId": "",
"inYard": false,
"yardId": "",
"locationId": "",
"previousLocationId": "",
"locationType": "",
"lastCheckInTime": "",
"lastCheckOutTime": "",
"lastEntryId": "",
"createdTime": "",
"createdBy": "",
"updatedTime": "",
"updatedBy": "",
"checkInEntry": "",
"cargoStatus": "",
"sealNumber": "",
"sealNumberPhoto": "",
"equipmentCondition": "",
"description": "",
"equipmentPhotos": [
""
],
"customerName": "",
"carrierName": "",
"locationName": "",
"equipmentDetailView": {
"id": 0,
"equipmentId": "",
"equipmentType": "",
"vehicleType": "",
"equipmentNo": "",
"equipmentNoPhoto": "",
"reefer": false,
"createdTime": "",
"createdBy": "",
"updatedTime": "",
"updatedBy": "",
"trailerSize": "",
"equipmentStatusView": {},
"containerSize": "",
"containerNo": "",
"locationName": "",
"locationId": "",
"rfidCode": ""
},
"missingCount": 0,
"receiptViews": [
{
"id": 0,
"receiptId": "",
"receiptStatus": "",
"receiptType": "",
"poNo": "",
"carrierId": "",
"customerId": "",
"referenceNo": "",
"equipmentType": "",
"equipmentNo": "",
"totalPalletQty": 0,
"itemLines": [
{
"itemId": "",
"itemName": "",
"itemQty": "",
"palletQty": "",
"itemSpecDesc": "",
"itemSpecName": "",
"uomId": "",
"qty": ""
}
],
"appointmentTime": "",
"appointmentId": "",
"sealNo": "",
"dataChannel": "",
"eventTime": "",
"extraData": "",
"carrierName": "",
"customerName": "",
"dynamicFieldValues": [
{
"entityId": "",
"entityType": "",
"fieldCode": "",
"value": "",
"fieldName": "",
"longValue": "",
"shortValue": ""
}
],
"proNos": [
""
],
"invoicePros": [
""
],
"doNos": [
""
],
"tripNo": ""
}
],
"loadViews": [
{
"id": "",
"loadId": "",
"loadStatus": "",
"loadNo": "",
"shipMethod": "",
"carrierId": "",
"appointmentTime": "",
"appointmentId": "",
"orderIds": [
""
],
"customerId": "",
"masterBol": "",
"sealNo": "",
"customerName": "",
"carrierName": "",
"orderViews": [
{
"id": 0,
"orderId": "",
"orderStatus": "",
"customerId": "",
"poNo": "",
"referenceNo": "",
"retailer": "",
"shipFrom": "",
"shipTo": "",
"totalPalletQty": 0,
"totalCartonQty": 0,
"itemInfos": "[Object]",
"customerName": "",
"carrierName": "",
"shipToAddress": "[Object]",
"shipFromAddress": "[Object]",
"appointmentTime": "",
"dynamicFieldValues": "[Object]",
"proNos": "[Object]",
"invoicePros": "[Object]",
"doNos": "[Object]",
"tripNo": "",
"shippedTime": ""
}
],
"dynamicFieldValues": [
{
"entityId": "",
"entityType": "",
"fieldCode": "",
"value": "",
"fieldName": "",
"longValue": "",
"shortValue": ""
}
],
"equipmentType": "",
"equipmentNo": "",
"referenceNoList": [
""
],
"poNoList": [
""
],
"templateLoadKey": "",
"proNos": [
""
],
"invoicePros": [
""
],
"doNos": [
""
],
"tripNos": [
""
],
"loadType": "",
"stagingLocationName": "",
"shippedTime": ""
}
],
"referenceNos": [
""
],
"companyCode": "",
"equipmentOperationStatus": "",
"vehicleType": "",
"rfidCode": "",
"taskViews": [
{
"id": 0,
"taskId": "",
"taskType": "",
"timeStatus": "",
"startTime": "",
"lastPauseTime": "",
"endTime": "",
"totalRunTime": 0,
"totalPausedTime": 0,
"createdTime": "",
"updatedTime": "",
"createdBy": "",
"updatedBy": "",
"assignUserName": "",
"plannedLocationId": "",
"assignLocationId": "",
"assignLocationName": "",
"customerId": "",
"customerName": "",
"entryId": "",
"loadIds": [
""
],
"receiptIds": [
""
],
"taskStatus": "",
"assigneeUserId": "",
"description": "",
"priority": "",
"note": "",
"lastStepAssignedUserIds": [
""
],
"planedLastStepAssignedUserIds": [
""
],
"lastStepAssignedUserNames": [
""
],
"planedLastStepAssignedUserNames": [
""
],
"lastStepId": "",
"planedAssignAllSteps": false
}
],
"entryTicketType": ""
},
"containerSize": "",
"containerNo": "",
"locationName": "",
"locationId": "",
"rfidCode": ""
},
"missingCount": 0,
"receiptViews": [
{
"id": 0,
"receiptId": "",
"receiptStatus": "",
"receiptType": "",
"poNo": "",
"carrierId": "",
"customerId": "",
"referenceNo": "",
"equipmentType": "",
"equipmentNo": "",
"totalPalletQty": 0,
"itemLines": [
{
"itemId": "",
"itemName": "",
"itemQty": "",
"palletQty": "",
"itemSpecDesc": "",
"itemSpecName": "",
"uomId": "",
"qty": ""
}
],
"appointmentTime": "",
"appointmentId": "",
"sealNo": "",
"dataChannel": "",
"eventTime": "",
"extraData": "",
"carrierName": "",
"customerName": "",
"dynamicFieldValues": [
{
"entityId": "",
"entityType": "",
"fieldCode": "",
"value": "",
"fieldName": "",
"longValue": "",
"shortValue": ""
}
],
"proNos": [
""
],
"invoicePros": [
""
],
"doNos": [
""
],
"tripNo": ""
}
],
"loadViews": [
{
"id": "",
"loadId": "",
"loadStatus": "",
"loadNo": "",
"shipMethod": "",
"carrierId": "",
"appointmentTime": "",
"appointmentId": "",
"orderIds": [
""
],
"customerId": "",
"masterBol": "",
"sealNo": "",
"customerName": "",
"carrierName": "",
"orderViews": [
{
"id": 0,
"orderId": "",
"orderStatus": "",
"customerId": "",
"poNo": "",
"referenceNo": "",
"retailer": "",
"shipFrom": "",
"shipTo": "",
"totalPalletQty": 0,
"totalCartonQty": 0,
"itemInfos": [
{
"itemId": "",
"itemName": "",
"itemQty": "",
"palletQty": "",
"itemSpecDesc": "",
"itemSpecName": "",
"uomId": "",
"qty": ""
}
],
"customerName": "",
"carrierName": "",
"shipToAddress": {
"id": "",
"name": "",
"country": "",
"state": "",
"city": "",
"zipCode": "",
"fax": "",
"address1": "",
"address2": "",
"contact": "",
"phone": "",
"extension": "",
"email": "",
"orgId": "",
"orgName": "",
"referenceNo": "",
"batchCode": "",
"storeNo": "",
"shorthand": "",
"toHome": false,
"tags": [
""
],
"latitude": "",
"longitude": "",
"crmAddressId": ""
},
"shipFromAddress": {
"id": "",
"name": "",
"country": "",
"state": "",
"city": "",
"zipCode": "",
"fax": "",
"address1": "",
"address2": "",
"contact": "",
"phone": "",
"extension": "",
"email": "",
"orgId": "",
"orgName": "",
"referenceNo": "",
"batchCode": "",
"storeNo": "",
"shorthand": "",
"toHome": false,
"tags": [
""
],
"latitude": "",
"longitude": "",
"crmAddressId": ""
},
"appointmentTime": "",
"dynamicFieldValues": [
{
"entityId": "",
"entityType": "",
"fieldCode": "",
"value": "",
"fieldName": "",
"longValue": "",
"shortValue": ""
}
],
"proNos": [
""
],
"invoicePros": [
""
],
"doNos": [
""
],
"tripNo": "",
"shippedTime": ""
}
],
"dynamicFieldValues": [
{
"entityId": "",
"entityType": "",
"fieldCode": "",
"value": "",
"fieldName": "",
"longValue": "",
"shortValue": ""
}
],
"equipmentType": "",
"equipmentNo": "",
"referenceNoList": [
""
],
"poNoList": [
""
],
"templateLoadKey": "",
"proNos": [
""
],
"invoicePros": [
""
],
"doNos": [
""
],
"tripNos": [
""
],
"loadType": "",
"stagingLocationName": "",
"shippedTime": ""
}
],
"referenceNos": [
""
],
"companyCode": "",
"equipmentOperationStatus": "",
"vehicleType": "",
"rfidCode": "",
"taskViews": [
{
"id": 0,
"taskId": "",
"taskType": "",
"timeStatus": "",
"startTime": "",
"lastPauseTime": "",
"endTime": "",
"totalRunTime": 0,
"totalPausedTime": 0,
"createdTime": "",
"updatedTime": "",
"createdBy": "",
"updatedBy": "",
"assignUserName": "",
"plannedLocationId": "",
"assignLocationId": "",
"assignLocationName": "",
"customerId": "",
"customerName": "",
"entryId": "",
"loadIds": [
""
],
"receiptIds": [
""
],
"taskStatus": "",
"assigneeUserId": "",
"description": "",
"priority": "",
"note": "",
"lastStepAssignedUserIds": [
""
],
"planedLastStepAssignedUserIds": [
""
],
"lastStepAssignedUserNames": [
""
],
"planedLastStepAssignedUserNames": [
""
],
"lastStepId": "",
"planedAssignAllSteps": false
}
],
"entryTicketType": ""
}
],
"totalCount": 0,
"currentPage": 0,
"pageSize": 0,
"totalPage": 0
}
}Response
| Status Code | Definition | Description | Data Model |
|---|---|---|---|
| 200 | OK (opens in a new tab) | none | RPageResultEquipmentStatusView |